Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomDocumentFragment Class Reference
[XML module]

The QDomDocumentFragment class is a tree of QDomNodes which is not usually a complete QDomDocument. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomDocumentFragment ()
- QDomDocumentFragment ( const QDomDocumentFragment & x )
- QDomDocumentFragment & operator= ( const QDomDocumentFragment & x )
- ~QDomDocumentFragment ()
- virtual QDomNode::NodeType nodeType () const
- virtual bool isDocumentFragment () const

## Detailed Description

The QDomDocumentFragment class is a tree of QDomNodes which is not usually a complete QDomDocument.

If you want to do complex tree operations it is useful to have a lightweight class to store nodes and their relations. QDomDocumentFragment stores a subtree of a document which does not necessarily represent a well-formed XML document.

QDomDocumentFragment is also useful if you want to group several nodes in a list and insert them all together as children of some node. In these cases QDomDocumentFragment can be used as a temporary container for this list of children.

The most important feature of QDomDocumentFragment is that it is treated in a special way by QDomNode::insertAfter(), QDomNode::insertBefore(), QDomNode::replaceChild() and QDomNode::appendChild(): instead of inserting the fragment itself, all the fragment's children are inserted.

See also XML.

## Member Function Documentation

### QDomDocumentFragment::QDomDocumentFragment ()

Constructs an empty document fragment.

### QDomDocumentFragment::QDomDocumentFragment ( const QDomDocumentFragment & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomDocumentFragment::~QDomDocumentFragment ()

Destroys the object and frees its resources.

### bool QDomDocumentFragment::isDocumentFragment () const`[virtual]`

This function reimplements QDomNode::isDocumentFragment().

See also nodeType() and QDomNode::toDocumentFragment().

Reimplemented from QDomNode.

### QDomNode::NodeType QDomDocumentFragment::nodeType () const`[virtual]`

Returns `DocumentFragment`.

See also isDocumentFragment() and QDomNode::toDocumentFragment().

Reimplemented from QDomNode.

### QDomDocumentFragment & QDomDocumentFragment::operator= ( const QDomDocumentFragment & x )

Assigns x to this DOM document fragment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.